Subject: RE: Using FEEDBACK features

From: "Rawlins, Diana" <[email-masked]>
Date: Tue, 04 Jun 2002 12:36:22 +0000

Yacine,

The usage table provides the semantics as well as the structure. I don't
think a generic framework table "counts" should be used for BGP/MPLS VPN
specific usage and DiffServ policing packets dropped usage. I think we
should stay away from overloading the semantics.

The addition of the label and routes counts to a BGP/MPLS PIB sounds ok to
me.

-Diana

-----Original Message-----
From: Yacine El Mghazli [mailto:[email-masked]] 
Sent: Tuesday, June 04, 2002 4:19 AM
To: Rawlins, Diana; Kulkarni, Amol; [email-masked]
Subject: Using FEEDBACK features

hi Diana, Amol and all,

I'm currently updating the BGP/MPLS VPN PIB 
(draft-yacine-ppvpn-2547bis-pib-00) with feedback features, according to 
the feeback frwk and using feedback frwk PIB.

I wish the PEP to monitor a number of routes and a number of labels. 
hence, I define 2 usage tables:
- the label usage table, which records a number of labels,
- the route usage table, which records a number of routes.
isn't it a bit heavy to define TWO tables in order to monitor TWO 
counters, especially if both use the same 'Counter32' type ?

can't we imagine a single usage table, inwhich the attribute is a 
generic counter ? the linkage table will then define the nature of the 
counter (what is counted...) for each PRI of this single counter usage 
class.

if yes, why dont defining such a generic usage table (the simpliest one 
!) in the feedback frwk PIB ? there is the same problem for the 
different threshold tables...

EXAMPLE:
------------------------------------------------------------------------

-- 
-- Generic Counter Usage class
-- 

    frwkFeedbackCounterUsageTable OBJECT-TYPE
        SYNTAX       SEQUENCE OF FrwkFeedbackCounterUsageEntry
        PIB-ACCESS   report-only
        STATUS       current
        DESCRIPTION
           "This class defines the counter usage attribute that the PEP
            is to monitor for VRFs."
        ::= { frwkFeedbackUsageClasses XX }

    frwkFeedbackCounterUsageEntry OBJECT-TYPE
        SYNTAX       FrwkFeedbackCounterUsageEntry
        STATUS       current
        DESCRIPTION
           "Defines the attributes the PEP is to monitor, record and
            report."
        PIB-INDEX {  frwkFeedbackCounterUsagePrid }
        UNIQUENESS { frwkFeedbackCounterUsageLinkRefId }
        ::= { frwkFeedbackCounterUsageTable 1 }

    frwkFeedbackCounterUsageEntry ::= SEQUENCE  {
        frwkFeedbackCounterUsagePrid        InstanceId,
        frwkFeedbackCounterUsageLinkRefId   ReferenceId,
        frwkFeedbackCounterUsageCount       Counter32
    }

    frwkFeedbackCounterUsagePrid OBJECT-TYPE
        SYNTAX       InstanceId
        STATUS       current
        DESCRIPTION
           "An arbitrary integer index that uniquely identifies an
            instance of the class."
        ::= { frwkFeedbackCounterUsageEntry 1 }

    frwkFeedbackCounterUsageLinkRefId OBJECT-TYPE
        SYNTAX       ReferenceId
        PIB-REFERENCES { frwkFeedBackLinkEntry }
        STATUS       current
        DESCRIPTION
           "The ReferenceId of the Linkage Policy instance used to base
            this usage policy instance upon."
        ::= { frwkFeedbackCounterUsageEntry 2 }

    frwkFeedbackCounterUsageCount OBJECT-TYPE
        SYNTAX       Counter32
        STATUS       current
        DESCRIPTION
           "The count hold by the associated selection class during the
            reporting interval."
        ::= { frwkFeedbackCounterUsageEntry 3 }

-- 
-- Generic Threshold class
-- 

    frwkFeedbackThresholdTable OBJECT-TYPE
        SYNTAX       SEQUENCE OF FrwkFeedbackThresholdEntry
        PIB-ACCESS   install
        STATUS       current
        DESCRIPTION
           "This class defines the threshold attributes corresponding to
            usage attributes specified in the
            frwkFeedbackCounterUsageTable class."
        ::= { frwkFeedbackUsageClasses YY }

    frwkFeedbackThresholdEntry OBJECT-TYPE
        SYNTAX       frwkFeedbackThresholdEntry
        STATUS       current
        DESCRIPTION
           "Defines the attributes to hold thershold values."
        PIB-INDEX { frwkFeedbackThresholdPrid }
        ::= { frwkFeedbackThresholdTable 1 }

    frwkFeedbackThresholdEntry ::= SEQUENCE  {
        frwkFeedbackThresholdPrid    InstanceId,
        frwkFeedbackThresholdThresh  Unsigned32
    }

    frwkFeedbackThresholdPrid OBJECT-TYPE
        SYNTAX       InstanceId
        STATUS       current
        DESCRIPTION
           "An arbitrary integer index that uniquely identifies an
            instance of the class."
        ::= { frwkFeedbackThresholdEntry 1 }

    frwkFeedbackThresholdLinkRefId OBJECT-TYPE
        SYNTAX       Unsigned32
        STATUS       current
        DESCRIPTION
           "The threshold that must be exceeded to trigger a report in
            the next reporting interval."
        ::= { frwkFeedbackThresholdEntry 2 }

----------------------------------------------------------------------

thanks,
yacine